Index: tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/CQPLibPreferences.java
===================================================================
--- tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/CQPLibPreferences.java	(revision 2515)
+++ tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/CQPLibPreferences.java	(revision 2516)
@@ -58,16 +58,10 @@
 		
 		// FIXME: SJ: some code in this method should be done only at TXM first run
 		
-		Preferences preferences = DefaultScope.INSTANCE.getNode(getPreferencesNodeQualifier());
+		Preferences preferences = this.getDefaultPreferencesNode();
 		
-		preferences.put(CQI_SERVER_ADDITIONAL_OPTIONS, "-b 1000000 -d OFF"); //$NON-NLS-1$
-		preferences.put(CQI_SERVER_PORT, "4877"); //$NON-NLS-1$
-		preferences.put(CQI_SERVER_HOST, "localhost"); //$NON-NLS-1$
-		preferences.put(CQI_SERVER_LOGIN, "anonymous"); //$NON-NLS-1$
-		preferences.put(CQI_SERVER_PASSWORD, ""); //$NON-NLS-1$
-		preferences.put(CQI_SERVER_IS_REMOTE, "" + false); //$NON-NLS-1$
-		preferences.putBoolean(CQI_NETWORK_MODE, false); // $NON-NLS-1$
 		
+		
 		String CQPFRAGMENT = "org.txm.libs.cqp." + System.getProperty("osgi.os");
 		// TODO: fix preferences logic between org.txm.cqp.lib and org.txm.searchengine.cqp
 		Log.fine("CQPLibPreferences.initializeDefaultPreferences()");
@@ -144,10 +138,19 @@
 			}
 		}
 		
+		
 		preferences.put(CQI_SERVER_PATH_TO_CQPLIB, OSDir.getAbsolutePath());
 		preferences.put(CQI_SERVER_PATH_TO_INIT_FILE, initFile.getAbsolutePath());
 		preferences.put(CQI_SERVER_PATH_TO_EXECUTABLE, execFile.getAbsolutePath());
+		preferences.put(CQI_SERVER_ADDITIONAL_OPTIONS, "-b 1000000 -d OFF"); //$NON-NLS-1$
+		preferences.put(CQI_SERVER_PORT, "4877"); //$NON-NLS-1$
+		preferences.put(CQI_SERVER_HOST, "localhost"); //$NON-NLS-1$
+		preferences.put(CQI_SERVER_LOGIN, "anonymous"); //$NON-NLS-1$
+		preferences.put(CQI_SERVER_PASSWORD, ""); //$NON-NLS-1$
+		preferences.putBoolean(CQI_SERVER_IS_REMOTE, false);
+		preferences.putBoolean(CQI_NETWORK_MODE, false); // $NON-NLS-1$
 		
+		
 		if (saved != null && saved.length() > 0) {
 			Version savedVersion = new Version(saved);
 			if (currentVersion.compareTo(savedVersion) <= 0) {
@@ -160,16 +163,16 @@
 		Log.fine("SearchEngine preferences set with: " + OSDir.getAbsolutePath() + ", " + initFile.getAbsolutePath() + " and " + execFile.getAbsolutePath());
 		put(CQPLibPreferences.VERSION, currentVersion.toString());
 		
-		put(CQI_SERVER_PATH_TO_CQPLIB, OSDir.getAbsolutePath());
-		put(CQI_SERVER_PATH_TO_INIT_FILE, initFile.getAbsolutePath());
-		put(CQI_SERVER_PATH_TO_EXECUTABLE, execFile.getAbsolutePath());
-		put(CQI_SERVER_ADDITIONAL_OPTIONS, "-b 1000000 -d OFF"); //$NON-NLS-1$
-		put(CQI_SERVER_PORT, "4877"); //$NON-NLS-1$
-		put(CQI_SERVER_HOST, "localhost"); //$NON-NLS-1$
-		put(CQI_SERVER_LOGIN, "anonymous"); //$NON-NLS-1$
-		put(CQI_SERVER_PASSWORD, ""); //$NON-NLS-1$
-		put(CQI_SERVER_IS_REMOTE, "" + false); //$NON-NLS-1$
-		put(CQI_NETWORK_MODE, false); // $NON-NLS-1$
+		// put(CQI_SERVER_PATH_TO_CQPLIB, OSDir.getAbsolutePath());
+		// put(CQI_SERVER_PATH_TO_INIT_FILE, initFile.getAbsolutePath());
+		// put(CQI_SERVER_PATH_TO_EXECUTABLE, execFile.getAbsolutePath());
+		// put(CQI_SERVER_ADDITIONAL_OPTIONS, "-b 1000000 -d OFF"); //$NON-NLS-1$
+		// put(CQI_SERVER_PORT, "4877"); //$NON-NLS-1$
+		// put(CQI_SERVER_HOST, "localhost"); //$NON-NLS-1$
+		// put(CQI_SERVER_LOGIN, "anonymous"); //$NON-NLS-1$
+		// put(CQI_SERVER_PASSWORD, ""); //$NON-NLS-1$
+		// put(CQI_SERVER_IS_REMOTE, "" + false); //$NON-NLS-1$
+		// put(CQI_NETWORK_MODE, false); // $NON-NLS-1$
 		flush();
 	}
 	
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java	(revision 2515)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java	(revision 2516)
@@ -94,25 +94,12 @@
 		
 		Preferences preferences = this.getDefaultPreferencesNode();
 		
-		preferences.putBoolean(IS_MANDATORY, false);
-		preferences.put(SERVER_ADDRESS, "127.0.0.1");
-		preferences.putBoolean(REMOTE, false);
-		preferences.putBoolean(DISABLE, false);
-		preferences.putBoolean(DEBUG, false);
-		preferences.put(PORT, "6311");
-		preferences.put(USER, "");
-		preferences.put(PASSWORD, "");
-		preferences.put(RARGS, "");
-		preferences.put(RSERVEARGS, "");
-		preferences.putBoolean(FILE_TRANSFERT, false);
-		preferences.put(SVG_DEVICE, "svg");
-		preferences.putBoolean(SHOW_EVAL_LOGS, false);
 		
 		String RFRAGMENT = "org.txm.statsengine.r.core." + System.getProperty("osgi.os"); //$NON-NLS-1$
 		
 		Log.fine("RPreferences.initializeDefaultPreferences()");
 		
-		String saved = getString(RPreferences.VERSION);
+		String saved = this.getString(RPreferences.VERSION);
 		Version currentVersion = BundleUtils.getBundleVersion(RFRAGMENT); // the RFRAGMENT plugin contains the right version
 		
 		// ensure plugin binary files rights are ok
@@ -140,8 +127,8 @@
 			return;
 		}
 		File rpluginDir = new File(bundleDir, "res"); //$NON-NLS-1$
-		File OSDir = new File(rpluginDir, os);
-		File execFile = new File(OSDir, "bin/" + extraSubPath + "R" + ext); //$NON-NLS-1$ //$NON-NLS-2$
+		File rRootDir = new File(rpluginDir, os);
+		File execFile = new File(rRootDir, "bin/" + extraSubPath + "R" + ext); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		if (!execFile.setExecutable(true)) {
 			Log.severe(TXMCoreMessages.bind("Error while setting execution file rights to: {0}.", execFile.getAbsolutePath()));
@@ -150,14 +137,14 @@
 		
 		if (!osName.contains("windows")) {  //$NON-NLS-1$
 			try {
-				Log.fine(TXMCoreMessages.bind("Setting execution file rights to: {0}.", OSDir.getAbsolutePath()));
-				Process p = Runtime.getRuntime().exec("chmod -R +x " + OSDir.getAbsolutePath()); //$NON-NLS-1$
+				Log.fine(TXMCoreMessages.bind("Setting execution file rights to: {0}.", rRootDir.getAbsolutePath()));
+				Process p = Runtime.getRuntime().exec("chmod -R +x " + rRootDir.getAbsolutePath()); //$NON-NLS-1$
 				new StreamHog(p.getInputStream(), false);
 				new StreamHog(p.getErrorStream(), false);
 				p.waitFor();
 			}
 			catch (Exception e) {
-				Log.severe(TXMCoreMessages.bind("Error while setting execution file rights to: {0}.", OSDir.getAbsolutePath()));
+				Log.severe(TXMCoreMessages.bind("Error while setting execution file rights to: {0}.", rRootDir.getAbsolutePath()));
 				e.printStackTrace();
 				return;
 			}
@@ -174,8 +161,22 @@
 		}
 		
 		preferences.put(PATH_TO_EXECUTABLE, execFile.getAbsolutePath());
+		preferences.putBoolean(IS_MANDATORY, false);
+		preferences.put(SERVER_ADDRESS, "127.0.0.1");
+		preferences.putBoolean(REMOTE, false);
+		preferences.putBoolean(DISABLE, false);
+		preferences.putBoolean(DEBUG, false);
+		preferences.put(PORT, "6311");
+		preferences.put(USER, "");
+		preferences.put(PASSWORD, "");
+		preferences.put(RARGS, "");
+		preferences.put(RSERVEARGS, "");
+		preferences.putBoolean(FILE_TRANSFERT, false);
+		preferences.put(SVG_DEVICE, "svg");
+		preferences.putBoolean(SHOW_EVAL_LOGS, false);
 		
 		
+		
 		if (saved != null && saved.length() > 0) {
 			Version savedVersion = new Version(saved);
 			if (currentVersion.compareTo(savedVersion) <= 0) {
@@ -187,24 +188,24 @@
 		
 		put(RPreferences.VERSION, currentVersion.toString());
 		
-		put(PATH_TO_EXECUTABLE, execFile.getAbsolutePath());
 		
 		// FIXME: SJ: useless since the values are the same than the default ones?
-		put(IS_MANDATORY, false);
-		put(SERVER_ADDRESS, "127.0.0.1"); //$NON-NLS-1$
-		put(REMOTE, false);
-		put(DISABLE, false);
-		put(DEBUG, false);
-		put(PORT, "6311"); //$NON-NLS-1$
-		put(USER, ""); //$NON-NLS-1$
-		put(PASSWORD, ""); //$NON-NLS-1$
-		put(RARGS, ""); //$NON-NLS-1$
-		put(RSERVEARGS, ""); //$NON-NLS-1$
-		put(FILE_TRANSFERT, false);
-		put(SVG_DEVICE, "svg"); //$NON-NLS-1$
-		put(SHOW_EVAL_LOGS, false);
+		// put(PATH_TO_EXECUTABLE, execFile.getAbsolutePath());
+		// put(IS_MANDATORY, false);
+		// put(SERVER_ADDRESS, "127.0.0.1"); //$NON-NLS-1$
+		// put(REMOTE, false);
+		// put(DISABLE, false);
+		// put(DEBUG, false);
+		// put(PORT, "6311"); //$NON-NLS-1$
+		// put(USER, ""); //$NON-NLS-1$
+		// put(PASSWORD, ""); //$NON-NLS-1$
+		// put(RARGS, ""); //$NON-NLS-1$
+		// put(RSERVEARGS, ""); //$NON-NLS-1$
+		// put(FILE_TRANSFERT, false);
+		// put(SVG_DEVICE, "svg"); //$NON-NLS-1$
+		// put(SHOW_EVAL_LOGS, false);
 		
-		Log.fine(TXMCoreMessages.bind("R stats engine preferences set with: {0} and {1}.", OSDir.getAbsolutePath(), execFile.getAbsolutePath())); //$NON-NLS-1$
+		Log.fine(TXMCoreMessages.bind("R stats engine preferences set with: {0} and {1}.", rRootDir.getAbsolutePath(), execFile.getAbsolutePath())); //$NON-NLS-1$
 	}
 	
 }
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 2515)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 2516)
@@ -3,7 +3,6 @@
 import java.util.HashMap;
 
 import org.eclipse.core.runtime.IConfigurationElement;
-import org.eclipse.core.runtime.IExtensionPoint;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.RegistryFactory;
 import org.txm.core.messages.TXMCoreMessages;
@@ -22,28 +21,31 @@
  *
  */
 public class RStatsEngine extends StatsEngine {
-
 	
+	
 	/** The state of the stats engine. */
 	private static boolean started = false;
 	
 	
 	private static boolean mandatory = false;
-
 	
+	
 	public RStatsEngine() {
 		// no instantiation
 	}
-
 	
+	
 	/**
 	 * Starts the stats engine if the engine is not remote then launch RServe.
 	 *
 	 * @return true, if successful
 	 */
+	@Override
 	public boolean start(IProgressMonitor monitor) {
 		try {
-			if (monitor != null) monitor.subTask("Starting Statistics Engine...");
+			if (monitor != null) {
+				monitor.subTask("Starting Statistics Engine...");
+			}
 			
 			if (RPreferences.getInstance().getBoolean(RPreferences.DISABLE)) {
 				Log.severe("Warning, Statistics Engine is disabled.");
@@ -58,72 +60,76 @@
 			boolean debug = RPreferences.getInstance().getBoolean(RPreferences.DEBUG);
 			mandatory = RPreferences.getInstance().getBoolean(RPreferences.IS_MANDATORY);
 			
-			Log.fine(RCoreMessages.bind(RCoreMessages.info_startingStatsEngine, new Object[] {user, remote, port, debug}));
+			Log.fine(RCoreMessages.bind(RCoreMessages.info_startingStatsEngine, new Object[] { user, remote, port, debug }));
 			// System.out.println("test remote :" + R_PATH_TO_EXECUTABLE + ":" + properties.getProperty(R_PATH_TO_EXECUTABLE));
 			if (!remote) {
 				// start Rserve executable
 				started = RWorkspace.startExec(
-						RPreferences.getInstance().getString(RPreferences.PATH_TO_EXECUTABLE), 
-						port, 
-						debug, 
+						RPreferences.getInstance().getString(RPreferences.PATH_TO_EXECUTABLE),
+						port,
+						debug,
 						RPreferences.getInstance().getString(RPreferences.RARGS),
 						RPreferences.getInstance().getString(RPreferences.RSERVEARGS));
-
+				
 				if (started) { // try connecting to R witout login
 					started = RWorkspace.connect("127.0.0.1", port); //$NON-NLS-1$
 				}
-			} else { // try connecting to R, with login and password
+			}
+			else { // try connecting to R, with login and password
 				started = RWorkspace.connect(RPreferences.getInstance().getString(RPreferences.SERVER_ADDRESS), port, user, password);
 			}
-
+			
 			if (started) { // post configuration of R
 				String rPackagesPath = RPreferences.getInstance().getString(RPreferences.PACKAGES_PATH);
 				started = RWorkspace.getRWorkspaceInstance().postConfiguration(rPackagesPath);
 			}
-
-			//System.out.println("try to set R_FILE_TRANSFERT to " + RPreferences.getInstance().getBoolean(RPreferences.R_FILE_TRANSFERT));
+			
+			// System.out.println("try to set R_FILE_TRANSFERT to " + RPreferences.getInstance().getBoolean(RPreferences.R_FILE_TRANSFERT));
 			RWorkspace.setUseFileCommunication(RPreferences.getInstance().getBoolean(RPreferences.FILE_TRANSFERT));
-			//	System.out.println("success");
-			//System.out.println("file transfert ? "+RWorkspace.isFileTranfert());
+			// System.out.println("success");
+			// System.out.println("file transfert ? "+RWorkspace.isFileTranfert());
 			
 			loadRTransformers();
-		} catch (RWorkspaceException e) {
-			Log.severe(RCoreMessages.error_connectionFailed); 
+		}
+		catch (RWorkspaceException e) {
+			Log.severe(RCoreMessages.error_connectionFailed);
 			started = false;
 		}
-
+		
 		return started;
 	}
 	
 	public HashMap<String, RTransformer<? extends TXMResult>> getTransformers() {
 		return transformers;
 	}
-
-	HashMap<String, RTransformer<? extends TXMResult>> transformers = new HashMap<String, RTransformer<? extends TXMResult>>();
+	
+	HashMap<String, RTransformer<? extends TXMResult>> transformers = new HashMap<>();
+	
 	private void loadRTransformers() {
 		
 		transformers.clear();
-
+		
 		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor(RTransformer.class.getName());
-
+		
 		Log.fine(TXMCoreMessages.bind("Looking for R transformers contributions with extension point id ''{0}''...", RTransformer.class.getName())); //$NON-NLS-1$
 		Log.fine(TXMCoreMessages.bind("{0} transformers(s) found.", contributions.length)); //$NON-NLS-1$
-
+		
 		for (int i = 0; i < contributions.length; i++) {
 			try {
 				@SuppressWarnings("unchecked")
 				RTransformer<? extends TXMResult> transformer = (RTransformer<? extends TXMResult>) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
-
+				
 				Log.finer(TXMCoreMessages.bind("Registering R transformer: {0}...", transformer));
-
+				
 				transformers.put(contributions[i].getAttribute("type"), transformer);
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				Log.severe("Error: failed to instantiate " + contributions[i].getName() + ".");
 				e.printStackTrace();
 			}
 		}
 	}
-
+	
 	@Override
 	public boolean stop() {
 		try {
@@ -131,92 +137,95 @@
 			RWorkspace.shutdown();
 			RStatsEngine.kill();
 			started = false;
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe("Error while closing R.");
 			e.printStackTrace();
 			return false;
 		}
 		return true;
 	}
-
-
 	
+	
+	
 	/**
 	 * kill Rserve process.
 	 */
 	public static void kill() {
-		if (!RPreferences.getInstance().getBoolean(RPreferences.REMOTE))	{
+		if (!RPreferences.getInstance().getBoolean(RPreferences.REMOTE)) {
 			
 			try {
 				if (StartRserve.rProcess != null) {
 					Log.finest("Quitting R process...");
 					StartRserve.rProcess.destroy();
 				}
-			} catch (Exception e1) {
+			}
+			catch (Exception e1) {
 				// TODO Auto-generated catch block
 				e1.printStackTrace();
 			}
 			
-			// FIXME: became useless.
-//			// Windows OS
-//			if (OSDetector.isFamilyWindows()) {
-//				try {
-//					String cmd = "taskkill /IM Rterm.exe /F"; //$NON-NLS-1$
-//					//String cmd = "cmd /c FOR /F \"tokens=5 delims= \" %P IN ('netstat -ano ^| findstr :6330 ^| findstr LISTENING') DO taskkill /F /PID %P"; //$NON-NLS-1$ 
-//					Log.finest("Executing command: " + cmd);
-//
-//					Process p = Runtime.getRuntime().exec(
-//							//"taskkill /IM Rserve.exe /F"); //$NON-NLS-1$
-//							cmd
-//							);
-//
-//					// consumes streams
-//		            new StreamConsumer(p.getErrorStream(), -1).start();;            
-//		            new StreamConsumer(p.getInputStream(), 0).start();
-//		            
-//					p.waitFor();
-//					started = false;
-//				} catch (IOException e) {
-//					Log.severe(RCoreMessages.error_failedToKillRServe + Log.toString(e));
-//					try {
-//						
-//						String cmd = "cmd /c FOR /F \"tokens=5 delims= \" %P IN ('netstat -ano ^| findstr :6330 ^| findstr LISTENING') DO tskill %P"; //$NON-NLS-1$
-//						Log.finest("Executing command: " + cmd);
-//						
-//						Process p = Runtime.getRuntime().exec(
-//								//"tskill Rserve.exe"); //$NON-NLS-1$
-//								cmd
-//								);
-//						p.waitFor();
-//						started = false;
-//					} catch (IOException e2) {
-//						Log.severe(RCoreMessages.error_failedToKillRServe2+Log.toString(e2));
-//						Log.printStackTrace(e2);
-//					} catch (InterruptedException e3) {
-//						Log.severe(Log.toString(e3));
-//						Log.printStackTrace(e3);
-//					}
-//				}
-//				catch (InterruptedException e) {
-//					Log.severe("Error while closing R: " + e.getLocalizedMessage());
-//					Log.printStackTrace(e);
-//				}
-//			}
-//			// Mac, Linux
-//			else {
-//				try {
-//					Process p = Runtime.getRuntime().exec(
-//							"kill -9 `lsof -t -a -c Rserve-bin.so -i : " + RPreferences.getInstance().getInt(RPreferences.PORT) + "`"); //$NON-NLS-1$ //$NON-NLS-2$
-//					p.waitFor();
-//					started = false;
-//				} catch (IOException e) {
-//					Log.severe(RCoreMessages.error_failedToKillRServe3 + Log.toString(e));
-//					org.txm.utils.logger.Log.printStackTrace(e);
-//				} catch (InterruptedException e) {
-//					Log.severe("Error while closing R: " + e.getLocalizedMessage());
-//					org.txm.utils.logger.Log.printStackTrace(e);
-//				}
-//			}
+			// FIXME: SJ: became useless ?
+			// FIXME: SJ, later: actually it seems R and RTerm are not always terminated on Windows, need to check again before removing this code
+			// // Windows OS
+			// if (OSDetector.isFamilyWindows()) {
+			// try {
+			// String cmd = "taskkill /IM Rterm.exe /F"; //$NON-NLS-1$
+			// //String cmd = "cmd /c FOR /F \"tokens=5 delims= \" %P IN ('netstat -ano ^| findstr :6330 ^| findstr LISTENING') DO taskkill /F /PID %P"; //$NON-NLS-1$
+			// Log.finest("Executing command: " + cmd);
+			//
+			// Process p = Runtime.getRuntime().exec(
+			// //"taskkill /IM Rserve.exe /F"); //$NON-NLS-1$
+			// cmd
+			// );
+			//
+			// // consumes streams
+			// new StreamConsumer(p.getErrorStream(), -1).start();;
+			// new StreamConsumer(p.getInputStream(), 0).start();
+			//
+			// p.waitFor();
+			// started = false;
+			// } catch (IOException e) {
+			// Log.severe(RCoreMessages.error_failedToKillRServe + Log.toString(e));
+			// try {
+			//
+			// String cmd = "cmd /c FOR /F \"tokens=5 delims= \" %P IN ('netstat -ano ^| findstr :6330 ^| findstr LISTENING') DO tskill %P"; //$NON-NLS-1$
+			// Log.finest("Executing command: " + cmd);
+			//
+			// Process p = Runtime.getRuntime().exec(
+			// //"tskill Rserve.exe"); //$NON-NLS-1$
+			// cmd
+			// );
+			// p.waitFor();
+			// started = false;
+			// } catch (IOException e2) {
+			// Log.severe(RCoreMessages.error_failedToKillRServe2+Log.toString(e2));
+			// Log.printStackTrace(e2);
+			// } catch (InterruptedException e3) {
+			// Log.severe(Log.toString(e3));
+			// Log.printStackTrace(e3);
+			// }
+			// }
+			// catch (InterruptedException e) {
+			// Log.severe("Error while closing R: " + e.getLocalizedMessage());
+			// Log.printStackTrace(e);
+			// }
+			// }
+			// // Mac, Linux
+			// else {
+			// try {
+			// Process p = Runtime.getRuntime().exec(
+			// "kill -9 `lsof -t -a -c Rserve-bin.so -i : " + RPreferences.getInstance().getInt(RPreferences.PORT) + "`"); //$NON-NLS-1$ //$NON-NLS-2$
+			// p.waitFor();
+			// started = false;
+			// } catch (IOException e) {
+			// Log.severe(RCoreMessages.error_failedToKillRServe3 + Log.toString(e));
+			// org.txm.utils.logger.Log.printStackTrace(e);
+			// } catch (InterruptedException e) {
+			// Log.severe("Error while closing R: " + e.getLocalizedMessage());
+			// org.txm.utils.logger.Log.printStackTrace(e);
+			// }
+			// }
 		}
 	}
 	
@@ -225,31 +234,32 @@
 	/**
 	 * Returns the running state of the stats engine.
 	 */
-	public static boolean isStarted()	{
+	public static boolean isStarted() {
 		return started;
 	}
-
-
+	
+	
 	/**
 	 * Checks if the engine is mandatory.
+	 * 
 	 * @return the mandatory
 	 */
 	public static boolean isMandatory() {
 		return mandatory;
 	}
-
-
+	
+	
 	@Override
 	public boolean isRunning() {
 		return started;
 	}
-
-
+	
+	
 	@Override
 	public boolean initialize() {
 		return true;
 	}
-
+	
 	@Override
 	public String getName() {
 		return "R";
